# Method: projects.locations.catalogs.delete

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/delete#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/delete#body.aspect_1)

Deletes an existing catalog specified by the catalog ID.

### HTTP request

`DELETE https://biglake.googleapis.com/v1/{name=projects/*/locations/*/catalogs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the catalog to delete. Format: projects/{project_id_or_number}/locations/{locationId}/catalogs/{catalogId} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs#Catalog`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `biglake.catalogs.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).